package http_model

type GetAccountInfoRequest struct {
	EnterpriseId string `json:"enterprise_id"`  // 商家ID
	SubAccountId int    `json:"sub_account_id"` // 子账号ID
}

type GetAccountInfoData struct {
	Type           int    `json:"type"`             // 账号类型，1主账号，2子账号
	Phone          string `json:"phone"`            // 绑定手机号
	EnterpriseName string `json:"enterprise_name"`  // 商家名称
	Avatar         string `json:"avatar"`           // 头像url
	SubAccountName string `json:"sub_account_name"` // 子账号名称
	JobName        string `json:"job_name"`         // 子账号岗位名称
}

func NewGetAccountInfoRequest() *GetAccountInfoRequest {
	return new(GetAccountInfoRequest)
}

func NewGetAccountInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetAccountInfoData)
	return resp
}
